Mailinglist Archive: opensuse-kde (175 mails)

< Previous Next >
[opensuse-kde] New phonon release, tells us not to use xine
  • From: todd rme <toddrme2178@xxxxxxxxx>
  • Date: Fri, 21 Jan 2011 15:52:26 -0500
  • Message-id: <AANLkTi=dEVLR4KDnFdzbpO+cXb=p+dArE=153_CrNFRL@mail.gmail.com>
A new phonon version is now out:

http://apachelog.wordpress.com/2011/01/21/phonon-family-4-4-4/

This part was particularly significant in my opinion:

"Last but not least we changed the default priorities of backends on
Linux. To get the best experience you should now either use GStreamer
or VLC. The former preferred choice Xine is as of now considered
unmaintained and should not be used anymore."

The openSUSE version, however, defaults to xine, and the VLC version
is not available from the openSUSE or KDE:Distro:Factory repositories
at all.

I know that there was some talk about moving the phonon-VLC backend
and the stripped-down VLC components from playground to
KDE:Distro:Factory for 11.4, but I think this makes it more pressing.
The way they mention indicates they think it is ready for use.

Either way, should we change the default backend to gstreamer (or VLC
if it is moved)?

-Todd
--
To unsubscribe, e-mail: opensuse-kde+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-kde+help@xxxxxxxxxxxx

< Previous Next >